博主信息
何澤小生的博客
博文
90
粉丝
0
评论
0
访问量
73106
积分:1
P豆:364

laravel 项目安装失败问题先试试这个方法!

2021年01月25日 10:57:37阅读数:319博客 / 何澤小生的博客/ php 常见问题集锦

第一步:删除安装失败的laravel项目,window直接删除,linux 使用 rm -rf  文件名(更换为自己的项目文件夹名) 删除。

第二步:使用composer self-update命令确认自己的composer版本是不是最新版本。

第三步:使用composer clearcache 命令清除composer缓存。

第四步:重点。更换composer镜像为阿里云镜像。

composer config -g repo.packagist composer https://mirrors.aliyun.com/composer/

即使使用的是官方镜像 https://packagist.phpcomposer.com,也要换成阿里云镜像,官方镜像有毒...

第五步:然后就是正常安装:composer create-project --prefer-dist laravel/laravel 文件名,阿里云镜像速度贼快,很舒服。



补充内容:


使用 composer self-update 更新 composer 工具时提示错误信息 zlib_decode(): data error

EDZ@WINDOWS-B3HVSR5 MINGW64 /d/environment/phptool/phpstudy_pro/WWW/test
$ composer self-update
Updating to version 2.0.8 (stable channel).
   Downloading (100%)
Failed to decode response: zlib_decode(): data error
Retrying with degraded mode, check https://getcomposer.org/doc/articles/troubleshooting.md#degraded-mode for more info
Downloading (100%)
Use composer self-update --rollback to return to version 1.10.1

001.png

解决方法:

1. 先取消镜像选择(官方镜像)

composer config -g --unset repos.packagist

2. 配置全局使用阿里云镜像(下载会快一些)

composer config -g repo.packagist composer https://mirrors.aliyun.com/composer/

3. 调试,composer 命令增加 -vvv 可输出详细的信息,命令如下:

composer -vvv require alibabacloud/sdk






参考链接:https://www.jianshu.com/p/325c7893cd45

https://blog.csdn.net/zhaoerduo/article/details/100562993



转载请注明出处~~~~

全部评论

文明上网理性发言,请遵守新闻评论服务协议

条评论
  • 用php将html转pdf文件的:首下载并pdf;然后测使用效果;接着用“shell_exec”函数在php里调用;最后解决分页即可。
    关于Xdebug提示不支持php7.0的记录Xdebug折腾xampp选择Xdebug版本总结关于Xdebug提示不支持php7.0的记录Xdebug折腾xampp了最新的xampp